Package fr.gouv.vitam.functional.administration.common

# Class ErrorReportAgencies

java.lang.Object
fr.gouv.vitam.functional.administration.common.ErrorReportAgencies

public class ErrorReportAgencies extends Object
error report for generate error Report when some think is wrong in import referential This class contain code in vitam-error-messages.properties, the line of the error, Object in error to import and some missingInformations for the import

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorReportAgencies()`
  `ErrorReportAgencies(FileAgenciesErrorCode code, int line, AgenciesModel agenciesModel)`
  `ErrorReportAgencies(FileAgenciesErrorCode code, int line, String missingInformations)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileAgenciesErrorCode`
  `getCode()`
  `AgenciesModel`
  `getFileAgenciesModel()`
  `int`
  `getLine()`
  `String`
  `getMissingInformations()`
  `void`
  `setCode(FileAgenciesErrorCode code)`
  `void`
  `setFileAgenciesModel(AgenciesModel fileAgenciesModel)`
  `void`
  `setLine(int line)`
  `void`
  `setMissingInformations(String missingInformations)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorReportAgencies

    public ErrorReportAgencies()

  - ### ErrorReportAgencies

    public ErrorReportAgencies(FileAgenciesErrorCode code, int line, AgenciesModel agenciesModel)

  - ### ErrorReportAgencies

    public ErrorReportAgencies(FileAgenciesErrorCode code, int line, String missingInformations)

- ## Method Details

  - ### getMissingInformations

    public String getMissingInformations()

  - ### setMissingInformations

    public void setMissingInformations(String missingInformations)

  - ### getCode

    public FileAgenciesErrorCode getCode()

  - ### setCode

    public void setCode(FileAgenciesErrorCode code)

  - ### getLine

    public int getLine()

  - ### setLine

    public void setLine(int line)

  - ### getFileAgenciesModel

    public AgenciesModel getFileAgenciesModel()

  - ### setFileAgenciesModel

    public void setFileAgenciesModel(AgenciesModel fileAgenciesModel)